<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested" %>

<tiles:insert page="/resources/templates/templateMegapoli.jsp" flush="true">

    <tiles:put name="insertCss" type="string"></tiles:put>
    <tiles:put name="insertJsOrJsp" type="string"></tiles:put>


    <tiles:put name="title" type="string"><bean:message key="app.title"/> - <bean:message key="data.access.files"/></tiles:put>
    <tiles:put name="nav" type="string">
        <html:link page="/index.jsp"><bean:message key="app.home"/></html:link>&nbsp;&gt;
        <html:link page="/data?methodName=viewCatalogResume"><bean:message key="data.access"/></html:link>&nbsp;&gt;
        <html:link page="/JeuxAccess.do"><bean:message key="data.access.jeux"/></html:link>
    </tiles:put>

    <%--****************** CONTENT ****************** --%>
    <tiles:put name="bodytitle" type="string"><bean:message key="data.access.files"/></tiles:put>

    <nested:root name="fichiersForm">
        <nested:define id="nomJeu" property="nomJeu"/>
        <nested:define id="nomCateg" property="nomCategorie"/>
        <bean:define id="path" value="${nomCateg}/${nomJeu}"/>
        <% path = path.replaceAll( "\\+", "%2B" ); %>

        <tiles:put name="body" type="string">
            <logic:present name="<%=org.apache.struts.Globals.ERROR_KEY%>">
                <div id="errors"><html:errors/></div>
            </logic:present>

            <div id="messages">
                <html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
                    <bean:write name="mess"/>
                </html:messages>
            </div>

            <div class="title2" style="float:left">
                <nested:size id="nbFiles" property="fichiers"/>
                <bean:write name="nbFiles"/>
                <logic:equal name="nbFiles" value="1"><bean:message key="data.access.files3"/></logic:equal>
                <logic:notEqual name="nbFiles" value="1"><bean:message key="data.access.files3" arg0="s"/></logic:notEqual>
            </div>

            <div style="float:right">
                <a onclick='javascript:neededLogin("/ZipGame.do?path=<%=path%>")' title='<bean:message key="data.access.downloading"/>'>
                    <html:img page="/resources/images/utils/text.png" alt="file"/>
                    <bean:message arg0="${nomJeu}" key="data.access.files.dowload.zip"/>
                </a>
            </div>
            <BR/><BR/>

            <nested:iterate property="fichiers" indexId="fId">
                <div>
                    <nested:define id="file" property="fichierNom"/>
                    <bean:define id="pathFile" value="${path}/${file}"/>
                    <% pathFile = pathFile.replaceAll( "\\+", "%2B" ); %>

                    <a onclick='javascript:neededLogin("/SendFileToClient.do?path=<%=pathFile%>")' title='<bean:message key="data.access.downloading"/>'>
                        <html:img page="/resources/images/utils/text.png" alt="file"/>
                        <nested:write property="fichierNom"/>
                    </a>
                </div>
            </nested:iterate>

            <div class="hdp" align="right">
                <html:link href="#top" titleKey="app.hdp">
                    <html:img page="/resources/images/utils/fleche_haut.gif" width="20px" height="20px"/>
                </html:link>
            </div>
        </tiles:put>
    </nested:root>

</tiles:insert>
